Bug 675646 - Review Request: perl-Log-Any-Adapter - Tell Log::Any where to send its logs
Summary: Review Request: perl-Log-Any-Adapter - Tell Log::Any where to send its logs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 675649
TreeView+ depends on / blocked
 
Reported: 2011-02-07 06:51 UTC by Ralf Corsepius
Modified: 2014-02-17 19:43 UTC (History)
3 users (show)

Fixed In Version: perl-Log-Any-Adapter-0.03-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-19 05:48:39 UTC
iarnell: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralf Corsepius 2011-02-07 06:51:26 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Log-Any-Adapter.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Log-Any-Adapter-0.03-1.fc15.src.rpm

Description:
The Log-Any-Adapter distribution implements Log::Any class methods to
specify where logs should be sent. It is a separate distribution so as to
keep Log::Any itself as simple and unchanging as possible.

Comment 1 Iain Arnell 2011-03-12 08:27:08 UTC
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=2906185

Comment 2 Iain Arnell 2011-03-12 09:05:23 UTC

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2906185

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
5c70dcd7fbdd8c4a3956a5abd3a9a97089db6b7f Log-Any-Adapter-0.03.tar.gz
5c70dcd7fbdd8c4a3956a5abd3a9a97089db6b7f Log-Any-Adapter-0.03.tar.gz.srpm

Final provides / requires are sane:

====> rpmlint *.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

======> perl-Log-Any-Adapter-0.03-1.fc16.noarch.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
perl(Log::Any::Adapter) = 0.03
perl-Log-Any-Adapter = 0.03-1.fc16
perl(Log::Any::Adapter::Base)  
perl(Log::Any::Adapter::Test::Memory)  
perl(Log::Any::Adapter::Util)  
perl(Log::Any::Manager)  
====> requires
perl >= 0:5.006
perl(base)  
perl(Carp)  
perl(Data::Dumper)  
perl(Exporter)  
perl(Log::Any)  
perl(Log::Any) >= 0.10
perl(Log::Any::Adapter::Base)  
perl(Log::Any::Adapter::Core)  
perl(Log::Any::Adapter::Util)  
perl(Log::Any::Manager)  
perl(:MODULE_COMPAT_5.12.3)  
perl(Scope::Guard)  
perl(strict)  
perl(warnings)  
====> obsoletes
====> conflicts
====> mock install
INFO: mock.py version 1.1.9 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
Mock Version: 1.1.9
INFO: Mock Version: 1.1.9
State Changed: lock buildroot
INFO: installing package(s): perl-Log-Any-Adapter-0.03-1.fc16.noarch.rpm
INFO: 
================================================================================
 Package                 Arch   Version           Repository               Size
================================================================================
Installing:
 perl-Log-Any-Adapter    noarch 0.03-1.fc16       /perl-Log-Any-Adapter-0.03-1.fc16.noarch
                                                                           30 k
Installing for dependencies:
 perl-CPAN               noarch 1.9402-154.fc16   fedora                  246 k
 perl-Digest-SHA         x86_64 1:5.47-154.fc16   fedora                   62 k
 perl-ExtUtils-MakeMaker noarch 6.56-154.fc16     fedora                  289 k
 perl-ExtUtils-ParseXS   noarch 1:2.2206-154.fc16 fedora                   44 k
 perl-Log-Any            noarch 0.11-3.fc15       fedora                   25 k
 perl-Scope-Guard        noarch 0.20-3.fc15       fedora                   11 k
 perl-Test-Harness       noarch 3.17-154.fc16     fedora                  239 k
 perl-Test-Simple        noarch 0.98-1.fc16       fedora                  117 k
 perl-devel              x86_64 4:5.12.3-154.fc16 fedora                  448 k
 python                  x86_64 2.7.1-6.fc15      fedora                   73 k
 systemtap-sdt-devel     x86_64 1.4-5.fc16        fedora                   41 k

Transaction Summary
================================================================================
Install      12 Package(s)

Total size: 1.6 M
Installed size: 4.2 M

Installed:
  perl-Log-Any-Adapter.noarch 0:0.03-1.fc16                                     

Dependency Installed:
  perl-CPAN.noarch 0:1.9402-154.fc16                                            
  perl-Digest-SHA.x86_64 1:5.47-154.fc16                                        
  perl-ExtUtils-MakeMaker.noarch 0:6.56-154.fc16                                
  perl-ExtUtils-ParseXS.noarch 1:2.2206-154.fc16                                
  perl-Log-Any.noarch 0:0.11-3.fc15                                             
  perl-Scope-Guard.noarch 0:0.20-3.fc15                                         
  perl-Test-Harness.noarch 0:3.17-154.fc16                                      
  perl-Test-Simple.noarch 0:0.98-1.fc16                                         
  perl-devel.x86_64 4:5.12.3-154.fc16                                           
  python.x86_64 0:2.7.1-6.fc15                                                  
  systemtap-sdt-devel.x86_64 0:1.4-5.fc16                                       


State Changed: unlock buildroot

======> perl-Log-Any-Adapter-0.03-1.fc16.src.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
====> requires
perl(ExtUtils::MakeMaker)  
perl(Log::Any) >= 0.10
perl(Scope::Guard)  
perl(Test::More)  
====> obsoletes
====> conflicts

Comment 3 Ralf Corsepius 2011-03-13 06:22:35 UTC
Thanks for the review, Iain.

New Package SCM Request
=======================
Package Name: perl-Log-Any-Adapter
Short Description: Tell Log::Any where to send its logs
Owners: corsepiu
Branches: f13 f14 f15
InitialCC: perl-sig

Comment 4 Jason Tibbitts 2011-03-13 15:25:47 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-03-14 05:52:59 UTC
perl-Log-Any-Adapter-0.03-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Log-Any-Adapter-0.03-1.fc14

Comment 6 Fedora Update System 2011-03-14 05:53:06 UTC
perl-Log-Any-Adapter-0.03-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Log-Any-Adapter-0.03-1.fc15

Comment 7 Fedora Update System 2011-03-14 05:53:15 UTC
perl-Log-Any-Adapter-0.03-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Log-Any-Adapter-0.03-1.fc13

Comment 8 Fedora Update System 2011-03-14 10:20:18 UTC
perl-Log-Any-Adapter-0.03-1.fc14 has been pushed to the Fedora 14 testing repository.

Comment 9 Fedora Update System 2011-03-19 05:48:34 UTC
perl-Log-Any-Adapter-0.03-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 10 Fedora Update System 2011-03-21 21:00:07 UTC
perl-Log-Any-Adapter-0.03-1.fc13 has been pushed to the Fedora 13 stable repository.

Comment 11 Fedora Update System 2011-03-21 21:00:34 UTC
perl-Log-Any-Adapter-0.03-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 12 Paul Howarth 2014-02-17 19:35:07 UTC
Package Change Request
======================
Package Name: perl-Log-Any-Adapter
New Branches: epel7
Owners: pghmcfc
InitialCC: perl-sig

Ralf doesn't do epel packages.

Comment 13 Gwyn Ciesla 2014-02-17 19:43:08 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.